# class Chef::HTTP::JSONToModelOutput

A Middleware-ish thing that takes an HTTP response, parses it as JSON if possible, and converts it into an appropriate model object if it contains a `json_class` key.

### Public Class Methods

new(opts={}) click to toggle source
Calls superclass method Chef::HTTP::JSONOutput.new

    # File lib/chef/http/json_to_model_output.rb, line 28
    def initialize(opts={})
      opts[:inflate_json_class] = true if !opts.has_key?(:inflate_json_class)
      super
    end